jadetex (3.13-17) unstable; urgency=medium

  * convert to transitional dummy package, jadetex is now part of
    texlive-htmlxml

 -- Norbert Preining <preining@debian.org>  Tue, 23 Feb 2016 13:38:05 +0900

jadetex (3.13-16) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Thu, 25 Jun 2015 14:46:22 +0900

jadetex (3.13-15) experimental; urgency=medium

  * remove old cruft from maintainer files
  * update for tex-common >=6 / TL 2015
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Fri, 12 Jun 2015 15:57:43 +0900

jadetex (3.13-14) unstable; urgency=low

  * add missing dependency on texlive-generic-recommended (Closes: #665458)

 -- Norbert Preining <preining@debian.org>  Sun, 25 Mar 2012 10:00:26 +0900

jadetex (3.13-13) unstable; urgency=low

  * fix missing extended mode markers in jadetex
  * switch to source format 3.0 (quilt)
  * bump debhelper compat level to 7
  * bump standards level to 3.9.3, no changes necessary

 -- Norbert Preining <preining@debian.org>  Fri, 09 Mar 2012 13:25:37 +0900

jadetex (3.13-12) unstable; urgency=low

  * update format defintions and ini file to comply with what TeX Live 2009
    ships

 -- Norbert Preining <preining@debian.org>  Sat, 13 Feb 2010 12:35:31 +0900

jadetex (3.13-11) unstable; urgency=low

  * change build-dependency to texlive-binaries (Closes: #566328)
  * bump standards version to 3.8.4, no changes necessary
  * move homepage into its own debian/control field
  * add a README.source file to describe quilt usage
  * change debhelper compatibility version to 5, bump build dep
  * use quilt.make in debian/rules
  * add an explanation to the top of doc-patches
  * move quilt from b-d-i to b-d

 -- Norbert Preining <preining@debian.org>  Fri, 12 Feb 2010 10:04:18 +0900

jadetex (3.13-10) unstable; urgency=medium

  * add Vcs-Svn and Vcs-Browser fields to debian/control
  * protect postrm invocation of update-texmf with a check for the 
    existence, thanks Adeodato Simó for the patch (Closes: #503479)

 -- Norbert Preining <preining@debian.org>  Mon, 27 Oct 2008 00:26:30 +0100

jadetex (3.13-9) unstable; urgency=low

  * Remove most settings from texmf.d/96JadeTeX.cnf, they were lower than
    the original tex-common settings. [fk]
  * Allow "reconfigure" as an alternative to "configure" as postinst
    argument. [fk]
  * Fix a missing "s" in the maintainer address
  * convert the changelog file to UTF8 (Closes: #396030)
  * rework the README.Debian file (Closes: #364109)
  * use dpkg-query instead of grepping in status in postinst

 -- Norbert Preining <preining@debian.org>  Thu, 06 Sep 2007 11:02:11 +0200

jadetex (3.13-8) unstable; urgency=low

  * Changed Maintainer to Debian TeX Task Force with approval of Ohura-san
  * changed to quilt for patching files [np]
    - add quilt to build deps
    - change rules file
  * Replace checkroot function with dh_testroot call in debian/rules [fk]
  * remove tetex alternative dependencies [np]
  * add build-dep on tex-common (>= 1.4) [np] (Closes: #403610)
  * move dh compat settings to debian/compat (lintian warning) [np]
  * write changelog entry in utf8 [np]
  * move dh_installtex call to pdftex (for jadetex and pdfjadetex) [np]
  * do not create the format links (are created by dh_installtex)
    (Closes: #419819)
  * remove the .ini hack, a wrongly set jobname/engine interferes with
    the search path ordering
  * The above together with depending on texlive 2007 fixes the interference
    with texlive-lang-cyrillic (Closes: #419026, #419020) [np]

 -- Frank Küster <frank@debian.org>  Mon, 28 May 2007 13:32:21 +0200

jadetex (3.13-7.1) unstable; urgency=medium

  * Add ${misc:Depends} to the Depends line, so that the correct
    tex-common dependency is automatically added (closes: #393449)
  * Add dependency on tipa (closes: #384206) 

 -- Frank Küster <frank@debian.org>  Tue, 17 Oct 2006 13:33:25 +0200

jadetex (3.13-7) unstable; urgency=high

  * Set urgency to high.  This release fixes RC bugs.  And thanks to
    Norbert Preining.
  * Switched to dh_installtex (Closes: #352845, #335225, #343104)
    - Added the respective call to debian/rules
    - Removed fmt generation code in postinst
    - Removed prerm file
  * debian/rules:
    - Moved the ini files to /usr/share/texmf/tex/jadetex/config
  * debian/control:
    - Added alternative build-dependencies on texlive.
    - Added alternative dependencies on texlive. (Closes: #375037).
    - Moved debhelper from Build-Depends-Indep to Build-Depends.
    - Updated Standards-Version.
  * Changed fmtutil line to not load the latex format, but put the loading
    of latex.ini into jadetex.ini and the loading of pdflatex.ini into
    pdfjadetex.ini. (Closes: #384334).
  * debian/texmf.cnf:
    - Added latex sub directory in the search path.
    - Deleted useless pdftex path component (Closes: #384332).
  * debian/copyright: Extended the copyright notices on the Debian
    packaging part a bit.

 -- OHURA Makoto <ohura@debian.org>  Mon, 18 Sep 2006 00:31:35 +0900

jadetex (3.13-6) unstable; urgency=low

  * Check whether 40jadetex.cnf has been modified when upgrading from the
    version prior to 3.13-4, thanks to Branden Robinson (Closes: #302116).

 -- OHURA Makoto <ohura@debian.org>  Sat,  9 Apr 2005 22:52:39 +0900

jadetex (3.13-5) unstable; urgency=low

  * debian/postinst: Remove redundant check for format file.
    (Closes: #302173).

 -- OHURA Makoto <ohura@debian.org>  Thu, 31 Mar 2005 09:25:14 +0900

jadetex (3.13-4) unstable; urgency=low

  * Use e-tex instead of Knuth's TeX.  This is needed for teTeX 3.0.
  (Closes: #298437).
  * Make 40jadetex.cnf a conffile. (Closes: #299762).
  * debian/control: Update Build-Dependency, debhelper (>=4.0.0).
  * debian/reportbug-control: Add new reportbug script, which is for
    adding tetex package information to bug reports. (Closes: #299630)
  
 -- OHURA Makoto <ohura@debian.org>  Sun, 27 Mar 2005 23:59:13 +0900

jadetex (3.13-3) unstable; urgency=low

  * New Maintainer. (Closes: #288204)
  * debian/control: Update Standards-Version.
  * Acknowledge NMU. (Closes: #266630).
  * debian/control: Drop Build-Dependency to openjade1.3, use openjade.

 -- OHURA Makoto <ohura@debian.org>  Sat, 15 Jan 2005 16:20:53 +0900

jadetex (3.13-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Urgency=high because this fixes an RC bug.
  * Add a versioned Conflicts: on tetex-base, required for upgrades from
    woody (closes: #266630).

 -- Steve Langasek <vorlon@debian.org>  Mon, 30 Aug 2004 01:24:09 -0700

jadetex (3.13-2) unstable; urgency=low

  * back out previous NMU completely; the change to etex is irrelevant to
    any problem reports I've seen, and moreover, the "fix" broke install;
    closes: #264926
    the original bug #253098 was a coreutils problem; that bug as well
  * postinst: use mktemp -t to find /tmp rather than hardcoding it

 -- Adam Di Carlo <aph@debian.org>  Wed, 11 Aug 2004 04:20:36 -0400

jadetex (3.13-1.1) unstable; urgency=low

   * Non-Maintainer Upload prepared by Jay Berkenbilt.
   * tetex now creates .efmt rather than .fmt for latex and pdflatex, so
     we use etex and pdfetex for jadetex and pdfjadetex. (Closes: #253098)
   * This might fix #205922 and #253417 as well.

 -- Jordi Mallach <jordi@debian.org>  Tue, 10 Aug 2004 21:45:08 +0200

jadetex (3.13-1) unstable; urgency=medium

  * new upstream version
  * ship the HTML version of the release notes, not PS/XML versions; we
    have to build this at package build time, which increases build
    depends
  * policy compliance checked against 3.5.10
  * lower openjade/jade depends to recommends; closes: #190764
  * postinst: oops, clean up tempfile (bug introduced in last version)
  * postinst: if jadetex.ini or pdfjadetex.ini, both conffiles, are
    missing, we won't be able to build the memory dumps; sense this and
    don't bomb out in this case; closes: #197034

 -- Adam Di Carlo <aph@debian.org>  Mon, 16 Jun 2003 01:13:17 -0400

jadetex (3.12-5) unstable; urgency=medium

  * postinst: 
    - eliminate "running 'fmtutil --all' to rebuild existing TeX", it
      should never happen and it's just slowing down the failure case 
    - cosmetic changes
    - when producing our own memory dumps, use 'fmtutil --cnffile to our
      specific file in /etc/texmf/fmt.d, since user may have the debconf
      question tetex-bin/fmtutil turned off
      closes: #183285, #196151, #196027

      NB: last two bugs filed against tetex-bin; 'grr' to the tetex
      maintainers for making this change without giving me any heads up

 -- Adam Di Carlo <aph@debian.org>  Thu,  5 Jun 2003 01:19:34 -0400

jadetex (3.12-4) unstable; urgency=low

  * improve package synopsis and description
  * really require latest tetex-bin and tetex-extra from unstable
  * jade dependency updated: openjade1.3 preferred, or openjade, or jade
  * oops, /etc/texmf/texmf.d/96JadeTeX is supposed to be
    /etc/texmf/texmf.d/96JadeTeX.cnf; remove /etc/texmf/texmf.d/96JadeTeX
    in postinst
  * postrm: on purge, remove /etc/texmf/texmf.d/*JadeTeX* and rerun
    update-texmf if we can

 -- Adam Di Carlo <aph@debian.org>  Mon, 24 Feb 2003 19:35:42 -0500

jadetex (3.12-3) unstable; urgency=low

  * policy checked against 3.5.8 (no changes)
  * depend on latest tetex-* packages from unstable; closes: #147337
  * prerm, postinst: use mktexlsr, not texhash
  * prerm: replace 'command -v' with 'which' and now this script is not
    bash-only
  * supply /etc/texmf/texmf.d/96JadeTeX, replacing stuff which used to be
    in 15Plain, 45TeXinputs, and 95NonPath; note this a conffile, not
    enabled/disabled by prerm/postinst, since having it around after
    removal of the package doesn't seem to hurt anything; use update-texmf
    apparatus; closes: #162450

 -- Adam Di Carlo <aph@debian.org>  Mon, 24 Feb 2003 15:08:42 -0500

jadetex (3.12-2) unstable; urgency=low

  * control: require tetex-bin >= 1.0.7+20011202-5.1 for new machinery to
    let our memory dumps stay up-to-date; closes: #140231
  * use new update-fmtutil system: we install fmtutil.cnf to
    /etc/texmf/fmt.d/40jadetex.cnf during installation (it's a
    configuration file, not a conffile), disable that on package removal,
    re-enable on install if possible preserving user configuration, purge
    on purge
  * policy checked against 3.5.6
  * problem could only be user error; closes: #114193

 -- Adam Di Carlo <aph@debian.org>  Sat, 30 Mar 2002 16:58:31 -0500

jadetex (3.12-1) unstable; urgency=low

  * new upstream version
  * postinst: remove some cruft
  * jadetex.dtx had \CheckSum{4407} which I changed to \CheckSum{4434},
    seems like a problem with how upstream shipped...
  * rules: contents of doc dir changed, accommodate

 -- Adam Di Carlo <aph@debian.org>  Sun, 10 Mar 2002 15:41:48 -0500

jadetex (3.11-2) unstable; urgency=low

  * prerm: bit more robust in case of missing conffiles
  * postinst: fail early if we don't have /etc/texmf/jadetex/fmtutil.cnf

 -- Adam Di Carlo <aph@debian.org>  Fri,  2 Nov 2001 17:46:23 -0500

jadetex (3.11-1) unstable; urgency=low

  * new upstream version

 -- Adam Di Carlo <aph@debian.org>  Mon, 30 Jul 2001 00:47:47 -0400

jadetex (3.10-1) unstable; urgency=low

  * new upstream version
  * debian/{copyright,control}: URLs change, now at SourceForge

 -- Adam Di Carlo <aph@debian.org>  Sun, 15 Jul 2001 21:30:06 -0400

jadetex (3.7-2) unstable; urgency=low

  * version 3.7 fixed some bugs
    closes: #96641, #102598
  * use prerm rather than postrm when possible; we were also leaving the
    TeX memory dumps around after removal, which is now fixed
    closes: #92656
  * debian/control: update standards to 3.5.5 (no changes needed);
    docbook-stylesheets now called docbook-dsssl
  * README.jadetex.cfg: fix the Verso/Recto chapter settings
    closes: #100601
  * README.Debian: remove some redundancy with README.jadetex.cfg

 -- Adam Di Carlo <aph@debian.org>  Tue, 10 Jul 2001 20:40:58 -0400

jadetex (3.7-1) unstable; urgency=low

  * new upstream version
  * README.jadetex.cfg: add a note about PDF Outlines

 -- Adam Di Carlo <aph@debian.org>  Tue, 10 Jul 2001 20:04:39 -0400

jadetex (3.5-2) unstable; urgency=low

  * upgrade tetex-bin in build-depends with tetex-extra, closes: #90401
  * README.jadetex.cfg: hint at pdfpagemode=UseOutlines -- someone explain
    this to me
  * copyright: remove obsolete download location

 -- Adam Di Carlo <aph@debian.org>  Sat, 24 Mar 2001 16:37:47 -0500

jadetex (3.5-1) unstable; urgency=low

  * new upstream version
  * debian/postinst: fix a bug in a warning message, closes: #86592
  * remove obsolete README.ver_2.1, add README.jadetex.cfg, talking about
    some common jadetex.cfg (per directory settings)

 -- Adam Di Carlo <aph@debian.org>  Tue,  6 Mar 2001 19:15:22 -0500

jadetex (3.3a-1) unstable; urgency=low

  * new upstream revision to unicode.sty; any reference to non-free font
    for a while, anyhow, has been wrapped inside a
    \@ifpackageloaded{lucidabr}, so if that package (requesting the
    non-free font hlcm) isn't loaded, an alternative is used 
    (closes: Bug#39711)

 -- Adam Di Carlo <aph@debian.org>  Sat, 17 Feb 2001 15:56:16 -0500

jadetex (3.3-1) unstable; urgency=low

  * new upstream version, fixes the tdot entity problem 
    (closes: Bug#69783)
  * debian/control: standards version 3.5.0 (no changes)
  * install the file ut1omlgc.fd as well
    (I am confused on what files should be shipped and which one needn't
    bother with)

 -- Adam Di Carlo <aph@debian.org>  Wed,  7 Feb 2001 00:41:55 -0500

jadetex (3.2-2) unstable; urgency=low

  * re-enabled language.dat handling in upstream source; i18n stuff should
    work, since we don't hardcode languages or even use Babel anymore
    (closes: Bug#43759)
  * jadetex uses colorlinks now upstream (closes: Bug#60240)
  * debian/copyright: refresh

 -- Adam Di Carlo <aph@debian.org>  Sat,  3 Feb 2001 19:22:56 -0500

jadetex (3.2-1) unstable; urgency=medium

  * new upstream version, fixes or already fixed:
    - warning for undefined labels (closes: Bug#42839)
  * debian/control: Policy upgraded to 3.2.1, no changes needed; add
    conflicts on cslatex (closes: Bug#67549); depends on either jade
    or openjade; conflict on csplain in the name of paranoia
  * disable language.dat processing temporarily, since our language.dat
    file has tabs in it, which aren't handled upstream
  * debian/rules: make realclean from upstream
  * debian/postinst: remove hackaround for bug 67549

 -- Adam Di Carlo <aph@debian.org>  Thu, 25 Jan 2001 21:41:06 -0500

jadetex (2.20-3) unstable; urgency=low

  * debian/postrm: add #DEBHELPER# token
  * debian/copyright: update copyright date for my stuff

 -- Adam Di Carlo <aph@debian.org>  Thu, 18 Jan 2001 01:58:57 -0500

jadetex (2.20-2) unstable; urgency=low

  * debian/control: update tetex-extra dependency version to woody or so
    (closes: Bug#78114)
  * debian/copyright: update upstream email addr
  * add norsk support -- thanks Tore Morkemo (closes: Bug#75146)
  * debian/fmtutil.cnf: fix invocation in the comments, thanks to Alan
    W. Irwin

 -- Adam Di Carlo <aph@debian.org>  Mon, 15 Jan 2001 20:11:56 -0500

jadetex (2.20-1) unstable; urgency=low

  * new upstream version
  * debian/copyright: update
  * debian/README: talk about pdfjadetex only capacity errors and the
    '\LabelElementsfalse' hack
  * debian/postrm: remove /etc/texmf/jadetex on purge 
    (closes: Bug#69551)
  * debian/postinst: if we have to resort to 'fmtutil -all', redirect that
    output to the log file at least; add a condition to check for failure
    due to tetex-extra Bug#67549 so I don't get swamped with bug reports;
    use stderr rather than stdout for errors and warnings; postinst is
    still too chatty however, maybe at some point I'll debconf it
  * debian/rules: clean is a bit cleaner

 -- Adam Di Carlo <aph@debian.org>  Sat, 14 Oct 2000 22:39:20 -0400

jadetex (2.18-2) unstable; urgency=low

  * debian/postinst: fmtutil seems to return error codes now, allow that
    to fall through; this allows for better error reporting, but doesn't
    actually fix the install problems people are having

 -- Adam Di Carlo <aph@debian.org>  Sat, 13 May 2000 02:20:37 -0400

jadetex (2.18-1) unstable; urgency=low

  * new upstream version
  * debian/rules: install new documentation and tests; ship documentation
    as PDF rather than dvi/ps

 -- Adam Di Carlo <aph@debian.org>  Sat,  6 May 2000 02:32:37 -0400

jadetex (2.13-1) unstable; urgency=low

  * new upstream version
  * merge changes from potato branch

 -- Adam Di Carlo <aph@debian.org>  Tue, 28 Mar 2000 04:18:12 -0500

jadetex (2.9.pre.2.11-1) unstable; urgency=low

  * new upstream version
  * manpages now included upstream
  * debian/rules: adjust for upstream

 -- Adam Di Carlo <aph@debian.org>  Tue, 11 Jan 2000 23:36:37 -0500

jadetex (2.7-2) frozen unstable; urgency=low

  * debian/control,rules,copyright: Standards Version 3.1.1
  * debian/postinst: if we fail at creating (pdf)*jadetex.fmt, then try
    'fmtutil --all' and try again (closes: Bug#46806, Bug#49152,
    Bug#50850, Bug#54405, Bug#57200)

 -- Adam Di Carlo <aph@debian.org>  Tue,  8 Feb 2000 19:02:31 -0500

jadetex (2.7-1) unstable; urgency=low

  * new upstream version
  * debian/control: Standards-Version: 3.0.1 (changed man path, left doc
    path); update teTeX dependencies (closes: Bug#39416, Bug#39754)
  * no response from user, suspect bug is close (closes: Bug#39700)

 -- Adam Di Carlo <aph@debian.org>  Sat, 28 Aug 1999 06:40:03 -0400

jadetex (2.6-5) unstable; urgency=low

  * README.Debian: update (closes Bug#39248)

 -- Adam Di Carlo <aph@debian.org>  Wed,  7 Jul 1999 02:53:06 -0400

jadetex (2.6-4) unstable; urgency=low

  * debian/control: bump up tetex dependencies again, removed conflict and
    suggest (!) on tetex-nonfree (closes Bug#38399)
  * README.capacity_exceeded: no longer needed, new teTeX folds in the
    needed alterations

 -- Adam Di Carlo <aph@debian.org>  Sun,  6 Jun 1999 01:29:53 -0400

jadetex (2.6-3) unstable; urgency=low

  * debian/rules: stop including our own cooked babel, which was just a
    workaround for problems with older tetex; bring up to "Di Carlo"
    standards
  * debian/control: bump up tetex-dependencies to 0.9.990510-2, conflict
    with tetex-nonfree >= 0.9.990510 temporarily, since we don't seem to
    get along with the new french.sty, and I can't distributed the cooked
    version since that would break licensing (closes Bug#38302, Bug#38395,
    Bug#38399)

 -- Adam Di Carlo <aph@debian.org>  Thu, 27 May 1999 18:43:21 -0400

jadetex (2.6-2) unstable; urgency=low

  * postinst: attempt to cope with missing latex.fmt, pdftex.fmt or
    pdflatex.fmt, in an attempt to close Bug#37414 and Bug#37727
  * debian/rules: clean is cleaner

 -- Adam Di Carlo <aph@debian.org>  Sat, 22 May 1999 04:35:44 -0400

jadetex (2.6-1) unstable; urgency=low

  * new upstream version, should fix the babel conflict which was causing
    pdfjadetex to die; we still have to ship the local babel from the
    cooked subdir, however, until teTeX is updated (closes Bug#36614)
  * debian/postinst: when jadetex.fmt is not generated, ask the user to
    submit the contents of the fmtutil run with the output; don't hardcode
    TeX fmt dir, use kpsewhich, but the script must be bash for that;
    quiet lintian warning about mktemp
  * debian/postrm: use same techniques from postinst
  * debian/rules: minor debhelper tweaks, install upstream ChangeLog,
    install charlist.dtd into /usr/doc/jadetex
  * debian/control: update standards to 2.5.1; update TeX dependencies
  * debian/jadetex.conffiles: removed, obsolete (generated by debian/rules)

 -- Adam Di Carlo <aph@debian.org>  Fri, 14 May 1999 10:29:10 -0400

jadetex (2.5-3) unstable; urgency=low

  * README.capacity_exceeded: up the stack size to 6000, from
    J.H.M. Dassen (closes Bug#36615), raise a few other parameters that
    have bit me recently
  * jadetex.dtx: workaround bug, 'Incomplete \ifnum; all text was ignored
    after line 1410'
  * debian/rules: ship older babel from the 'cooked' subdir, fixing a
    nasty interaction with newer tetexen (closes Bug#36614, Bug#36268)

 -- Adam Di Carlo <aph@debian.org>  Tue, 27 Apr 1999 23:44:07 -0400

jadetex (2.5-2) unstable; urgency=low

  * README.capacity_exceeded and README.Debian updated

 -- Adam Di Carlo <aph@debian.org>  Fri, 23 Apr 1999 02:34:06 -0400

jadetex (2.5-1) unstable; urgency=low

  * new upstream version
  * ship unicode.sty (required) and unicode.xml (documentation)
  * debian/rules: modularize, clean up, and abstract like I like it; move
    over to /usr/share/texmf/tex/jadetex (closes Bug#35836); some files
    renamed in debian/* to debhelper standards
  * debian/control: updated standards to 2.5.0; update tetex dependencies
    to Mar. 1999 version
  * debian/postinst: clean up and clean out
  * README.capacity_exceeded: updated
  * jadetex-texconfig: removed
  * debian/copyright: updated

 -- Adam Di Carlo <aph@debian.org>  Sun, 11 Apr 1999 19:38:15 -0400

jadetex (2.2-1) stable unstable; urgency=medium

  * new maintainer
  * fix fmtutil configuration file, which totally broke package
    installation (close important Bug#35300, Bug#35463, Bug#35385,
    Bug##34986, Bug#33336, Bug#32853, Bug#32000)

 -- Adam Di Carlo <aph@debian.org>  Fri,  9 Apr 1999 02:35:03 -0400

jadetex (2.2-0.2) frozen unstable; urgency=low

  * non-maintainer release
  * jadetex.dtx: 5 line patch from upstream maintainer to use multicol.sty
    if it is available, but proceed even if not; this means jadetex's
    dependency on a non-free package can be lowered to 'suggests' (closes
    important Bug#28224)
  * jadetex.dtx: removed [implicit=false,bookmarks=false] from hyperref
    package options, since pdflatex doesn't seem to like package options
    at all for hyperref (closes Bug#29170, tetex-extra bug opened)
  * fmtutil.cnf: new fmtutil conffile, installed to /etc/texmf/jadetex,
    which enables us to simply run
       'fmtutil -cnfffile /etc/texmf/jadetex/fmtutil.cnf --all'
    which speeds up installation considerably (closes Bug#27446, at least)
  * jadetex-texconfig: no longer installed
  * debian/control: do not install hyperref.sty, hypertex.def, or
    hpdftex.def, since they are in a new tetex-extra (closes Bug#29168)
  * debian/control: bump depends accordingly, mention PDF files in the
    package description
  * debian/rules: add a check that postinst/postrm are valid while building

 -- Adam Di Carlo <aph@debian.org>  Wed, 16 Dec 1998 16:48:55 -0500

jadetex (2.2-0.1) unstable; urgency=low

  * non-maintainer release
  * new upstream version
  * fix problem with source
  * jadetex.dtx: remove T3 since it causes confusing errors w/o the proper
    font being installed.  If someone want's to package 'tipa' from CTAN,
    then we could bring it back
  * debian/control: now also depends on tetex-nonfree; this means this
    package must be moved to contrib.  I'll let the maintainer work around
    this or file the bug against ftp.debian.org (closes Bug#27487)

 -- Adam P. Harris <aph@debian.org>  Wed,  7 Oct 1998 23:05:14 -0400

jadetex (2.1-0.1) unstable; urgency=low

  * non-maintainer release
  * new upstream version (depends on jade >= 1.2); pdfjadetex is now
    properly called pdfjadetex (not jadetexpdf) upstream
  * bump tetex Depends up to newest version of tetex-*
  * reintroduced 'cooked' directory since it is upstream from 'cooked',
    install t3enc.def, hypertex.def, hpdftex.def, and hyperref.sty into
    /etc/texmf/jadetex/, aka /usr/lib/texmf/tex/jadetex/config/, because
    it is needed in the current tetex environment
  * postinst: check that the jadetex.fmt and pdfjadetex.fmt files were
    actually generated, since texconfig doesn't exit with non-zero status
    on failure.  Consider this a failure condition.  It has been
    determined that this is in fact a limitation of the upstream
    'texconfig' system employed.  The hacky patch I added here to the
    postinst should probably be removed for the freeze; for now it's
    probably a good way to chase down problems (closes Bug#25592, Bug#25695)
  * add a few bits of documentation off the net; talk about the TeX
    capacity exceeded issue in /usr/doc/jadetex/README.capacity_exceeded
    (addressing but not quite closing Bug#24307)
  * debian/README: how to use jadetex, 3 second overview; refer to other
    READMEs now shipped
  * jadetextables.html: removed ^Ms from HTML
  * debian/copyright: update ftp location
  * debian/rules: add '-isp' to dpkg-gencontrol
  * debian/rules: explicit dependency on /bin/bash, since curly braces are 
    used
  * debian/jadetexcofig: run tex -ini with hugelatex if possible to fix
    TeX capacity exceeded.
  * link man page for jadetex-texconfig.1 to texconfig.1

 -- Adam P. Harris <aph@debian.org>  Sun,  4 Oct 1998 04:13:40 -0400

jadetex (1.05-0.1) unstable; urgency=low

  * non-maintainer release
  * new upstream version (requires new jade)
  * promote jade relationship to 'Depends', so we can manage version
    dependencies properly

 -- Adam P. Harris <aph@debian.org>  Thu,  3 Sep 1998 01:12:51 -0400

jadetex (1.0b5-1) unstable; urgency=low

  * New maintainer.
  * New upstream version. Maybe works with tables, tell me about it.
  * Changed postinst to use solely mktemp and not to fall back to insecure
    tempfile allocation if mktemp does not exist. Made sure that mktemp does
    exist by adding a dependency to debianutils >= 1.7. (lintian).
  * JadeTeX now recommends jade and suggests docbook-stylesheets instead the
    other way round.
  * Documentation generation works now, and documentation is included.
  * Converted debian/rules from debhelper to Manoj rules style.
  * Dropped "cooked" directory, as it is not provided upstream anymore and
    doesn't make much sense, IMHO. If you really need such information, I'm
    happy to provide you with the version numbers of the Debian packages I
    use to build JadeTeX.
  * Added pdfjadetex.
  * The introduction of pdfjadetex means that jadetex-texconfig is back.
    I used the new version 0.9 however, and only added pdfjadetex support.
    Christoph and Thomas are contacted.
  * JadeTeX and pdfJadeTeX now point to TeX and pdfTeX directly, and not to
    virTeX or something like this.
  * Added real man pages. They are derived from the teTeX distribution, please
    sent me improvements, corrections, etc.

 -- Marcus Brinkmann <brinkmd@debian.org>  Thu,  9 Jul 1998 17:54:41 +0200

jadetex (0.61-1.2) frozen unstable; urgency=medium

  * Non-maintainer release
  * eliminate jadetex-texconfig for texconfig; use tetex's texconfig
    instead.  The old jadetex-texconfig is still in the source archive
    though; hopefully it is no longer required.
    (closes grave Bug#22688, Bug#22638, Bug#22639, Bug#22766)
  * Note there are known cases, such as generating php-doc, where tetex
    seems to run out of memory internally; I think this is a tetex-base
    bug (report as a bug)

 -- Adam P. Harris <aph@debian.org>  Sun, 31 May 1998 22:06:37 -0400

jadetex (0.61-1.1) frozen unstable; urgency=low

  * Non-maintainer release
  * debian/control: starting with tetex-extra 0.9-5, hyperref is obsolete,
    so we shouldn't depend on both.  Used the rather complex depends
    provided by Anthony Fok <foka@debian.org> (closes Bug#21110,
    Bug#21885, Bug#22455)
  * debian/postinst:  rather than hardcode the path of tempfile, use
    'command -v' to check for it (it was testing for /usr/bin/tempfile,
    which seems to be in /bin now)
  * strip off prepended !! from "kpsetool -v '$VAR'" (not sure if that's
    actually the right thing to do, but the way it was was definitely
    wrong)
  
 -- Adam P. Harris <aph@debian.org>  Fri, 15 May 1998 00:39:33 -0400

jadetex (0.61-1) frozen; urgency=low

  * New upstream (bugfix only) release
  * depends on tetex-extra (fixes Bug #18606)
  * README.debian reworked (fixes Bug #18617)
  * Bug #19489 should be fixed with changes in 0.57-2

 -- Christian Leutloff <leutloff@debian.org>  Mon, 16 Mar 1998 09:35:54 +0100

jadetex (0.57-2) unstable; urgency=low

  * modified postinst and README.Debian

 -- Christian Leutloff <leutloff@debian.org>  Thu, 26 Feb 1998 18:43:40 +0100

jadetex (0.57-1) unstable; urgency=low

  * New upstream release

 -- Christian Leutloff <leutloff@debian.org>  Wed, 25 Feb 1998 09:29:10 +0100

jadetex (0.56-2) unstable; urgency=low

  * check for symlink to conffiles in postinst (fixes #18517)
    (thanks to Francesco Potorti` <F.Potorti@cnuce.cnr.it>)
  * README changed (#18436)

 -- Christian Leutloff <leutloff@debian.org>  Mon, 23 Feb 1998 19:26:04 +0100

jadetex (0.56-1) unstable; urgency=low

  * New upstream release
  * fixed symlink (#18087)

 -- Christian Leutloff <leutloff@debian.org>  Fri, 20 Feb 1998 16:04:29 +0100

jadetex (0.55-2) unstable; urgency=low

  * added jadetex.ini and jadetexpdf.ini to conffiles and moved them to
    /etc/texmf/jadetex/
  * need to add jadetex-texconfig again 8-(
  * improved description, thanks to Chris Fearnley <cjf@netaxs.com> 
  
 -- Christian Leutloff <leutloff@debian.org>  Sun,  8 Feb 1998 12:47:22 +0100

jadetex (0.55-1) unstable; urgency=low

  * new upstream version

 -- Christian Leutloff <leutloff@debian.org>  Tue,  3 Feb 1998 19:28:01 +0100

jadetex (0.53-4) unstable; urgency=low

  * texconfig.jadetex obsoleted by tetex-bin 0.4pl8-4

 -- Christian Leutloff <leutloff@debian.org>  Sun, 14 Dec 1997 15:52:11 +0100

jadetex (0.53-3) unstable; urgency=low

  * now in main again, because copyright of hyperref is now DFSG compliant

 -- Christian Leutloff <leutloff@debian.org>  Thu, 27 Nov 1997 11:13:14 +0100

jadetex (0.53-2) unstable; urgency=low

  * changed section to contrib/tex, added dependency for hyperref

 -- Christian Leutloff <leutloff@debian.org>  Fri, 21 Nov 1997 23:34:16 +0100

jadetex (0.53-1) unstable; urgency=low

  * new upstream source
  * minor improvements
  * added set -e to postinst
  * Initial Version.

 -- Christian Leutloff <leutloff@debian.org>  Fri,  7 Nov 1997 11:24:12 +0100


# vim:set fileencoding=utf-8: #
